body {
  font-size: 14px;
  /* line-height: 20px; */
  line-height: 1.42857143;
  font-family: 'Source Sans Pro','Helvetica Neue',Helvetica,Arial,sans-serif;
}

b, strong {
  font-weight: bold;
}

label {
  font-weight: 700;
}

.btn, .form-control {
  font-size: 14px;
}

nav.navbar {
  padding: 0;
  display: block !important;
}

.navbar-nav {
  display: block;
  margin: 7.5px -15px;
}

.nav>li {
  display: block;
  float: left;
}

.navbar-nav>li>a {
  position: relative;
  display: block;
  padding: 10px 15px;
  line-height: 20px;
}

.form-horizontal .control-label {
  padding-top: 7px;
  margin-bottom: 0;
  text-align: right;
}

.btn-group .btn.btn-default.active {
  color: #333;
  background-color: #d4d4d4;
  border-color: #8c8c8c;
  cursor: default;
  -webkit-box-shadow: inset 0 3px 5px rgba(0, 0, 0, .125);
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, .125);
  z-index: 2;
}

.btn-primary.disabled {
  opacity: 0.5;
  cursor: default;
  background-color: #3c8dbc;
  border-color: #367fa9;
}

@media (min-width: 768px) {
  .navbar-nav>li>a {
    padding-top: 15px;
    padding-bottom: 15px;
  }

  .navbar-nav {
    float: left;
    margin: 0;
  }
}


/*Update for Bootraps v4*/
.col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto, 
.col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto, 
.col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, 
.col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, 
.col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto, 
.col-xs, .col-xs-1, .col-xs-10, .col-xs-11, .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9, .col-xs-auto {
	float: left;
}
/*End Update for Bootraps v4*/

.btn-color-white{
  color:white
}
.btn-color-white:hover{
  color:white
}
.btn-color-white:active{
  color:white !important
}
.btn-color-white:focus{
  color:white !important
}
/* form-group, has-feedback */
.has-feedback {
  position: relative;
}

.form-group {
  margin-bottom: 15px;
}

.form-control-feedback {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 2;
  display: block;
  width: 34px;
  height: 34px;
  line-height: 34px;
  text-align: center;
  pointer-events: none;
}

.float-right{
	float: right;
}

.dataTables_wrapper{
  margin-right: -15px !important;
}

.dataTables_wrapper .row{
  width: 100% !important;
}

.dataTables_wrapper .row>.col-sm-12, #searchTable_wrapper .row>.col-sm-7{
  padding-right: initial !important;
}

/* .dataTables_scrollHeadInner{
  width: initial !important;
} */

.dataTable{
  width: 100% !important;
}
.dataTable-custom{
  width: max-content !important;
}

.pagination>li:first-child>a, .pagination>li:first-child>span {
    margin-left: 0;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.pagination>li:last-child>a, .pagination>li:last-child>span {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

.pagination>.disabled>a, .pagination>.disabled>a:focus, .pagination>.disabled>a:hover, .pagination>.disabled>span, .pagination>.disabled>span:focus, .pagination>.disabled>span:hover {
    color: #777;
    cursor: not-allowed;
    background-color: #fff;
    border-color: #ddd;
}

.pagination>li>a, .pagination>li>span {
    position: relative;
    float: left;
    padding: 6px 12px;
    margin-left: -1px;
    line-height: 1.42857143;
    color: #337ab7;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #ddd;
}

.pagination>.active>a, .pagination>.active>a:focus, .pagination>.active>a:hover, .pagination>.active>span, .pagination>.active>span:focus, .pagination>.active>span:hover {
    z-index: 3;
    color: #fff;
    cursor: default;
    background-color: #337ab7;
    border-color: #337ab7;
}

.pagination>li>a {
    background: #fafafa;
    color: #666;
}

.dataTables_paginate {
  float: right;
  margin-top: 5px;
}

table.dataTable {
    border-collapse: collapse !important;
    border-spacing: 0;
}

.box-header{
  padding-bottom: 12px;
}

div.dataTables_wrapper div.dataTables_paginate{
  margin-top: 5px;
}

.padding-LR5{
padding-left: 5px;
padding-right: 5px;
}

.text-center{
  text-align: center;
}

div.form-group div {
  padding-left: 3px;
  padding-right: 10px;
  margin-bottom: 20px;
}

div.form-group label {
  padding-left: 5px;
  padding-right: 5px;
  margin-top: 8px;
  height: 25px;
}

.pull-right {
  float: right;
}

@media (min-width: 768px)
{
  .modal-dialog {
      max-width: 700px;
  }
}

@media (min-width: 1024px)
{
  .modal-dialog {
      max-width: 1000px;
  }
}

.mess-custom{
  margin-bottom: 0 !important;
}
.dataTables_length{
  display: none !important;
}
.dataTables_filter{
  display: none !important;
}
.magrin-bot-0 {
  margin-bottom: 0 !important;
}

.no-sort::after { 
  display: none!important;

}

.no-sort::before { 
  display: none!important;

}

.no-sort { pointer-events: none!important; cursor: default!important; }

td {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

th[class="sorting_asc"], th[class="sorting_desc"], th[class="sorting"] {
  font-family: 'Glyphicons Halflings';
}

table > thead > tr > th > span {
  font-family: 'Source Sans Pro','Helvetica Neue',Helvetica,Arial,sans-serif !important;
}


.data-overflow {
  position: absolute;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

a.btn.btn-default:hover {
  cursor: pointer;
}

.w25p {
	width: 25%;
}

.w-400 {
	width: 400px;
}

.f-w-bold {
  font-weight: bold;
}

.close-header {
  padding: 0 !important;
  margin: 0 !important;
  line-height: 0.5 !important;
}

.close-header:focus {
  outline: none !important;
}